print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecookeddish = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local cookeddishHudFile = "Paletten/hud_fill_cookeddish.dds"
	local cookeddishHudFileSmall = "Paletten/hud_fill_cookeddish_smal.dds"
	
    local cookeddishFilType = g_fillTypeManager:addFillType("COOKEDDISH", g_i18n:getText("cookeddish"), true, pricecookeddish * 2.7, 0.00045, math.rad(10), cookeddishHudFile, cookeddishHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascookeddish=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascookeddish=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "COOKEDDISH" then
		hascookeddish=true
	end;
		
end;

		if hasmaize and not hascookeddish then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("COOKEDDISH")
		local price = g_fillTypeManager:getFillTypeByName("COOKEDDISH").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COOKEDDISH")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)